function dataReceived_Callback(source, arg) %#ok

persistent lpsZData
persistent lpsScanNumberZ
if arg.Command == LxS_Library.LxS_Cmd.Z_COORDINATES% strcmp(char(arg.Command), 'Z_COORDINATES')
    lpsZData = arg.Data.uint16;
    lpsScanNumberZ = arg.ScanNumber;
end
if arg.Command == LxS_Library.LxS_Cmd.X_COORDINATES% strcmp(char(arg.Command), 'X_COORDINATES')
   if arg.ScanNumber == lpsScanNumberZ
       lpsXData = typecast(arg.Data.uint16, 'int16');

       hFig = figure(1);
       plot(lpsXData, lpsZData);
       hAxes = get(hFig, 'CurrentAxes');
       set(hAxes, 'XLim',[-3200 3200],'YLim', [1800 8200],...
                  'XTick',[-3000 -2000 -1000 0 1000 2000 3000],...
                  'XTickLabel', ['-300.0';'-200.0';'-100.0';'  0   ';'100.0 ';'200.0 ';'300.0 '],...
                  'YTick',[2000 3000 4000 5000 6000 7000 8000],...
                  'YTickLabel', ['200.0';'300.0';'400.0';'500.0';'600.0';'700.0';'800.0'],...
                  'XGrid', 'on', 'YGrid', 'on',...
                  'YDir', 'reverse',...
                  'XDir', 'reverse'); 
        xlabel('X in mm')
        ylabel('Z in mm')
        title(['Scan Number ' num2str(lpsScanNumberZ)])
   end
end          
